<?php
include_once(_DIR_EXT.'/HTML/c_page_TXT.php') ;
class c_page_check_HR extends c_page_TXT
{

  // прием команды от терминала
  function c_page_serv() {}
  function body()
  { global  $aspmo_system ; $data_in=array() ;   $out_data=array() ;
    $JSON_source = file_get_contents("php://input");
    { $data_in=$this->load_json_utf8($JSON_source) ;
      { switch($_GET['operation'])
        { case 'init_update':         $out_data=$this->init_update($data_in) ; break ;
          case 'result_data':         $out_data=$this->result_data($data_in) ; break ;
        }
      }
    }
    $text_json_out=json_encode($out_data) ;
    // возвращает ответ устройству
    echo $text_json_out ;

  }

  function load_json_utf8($content_str)
    {  $bom = chr(0xEF).chr(0xBB).chr(0xBF);
        if(substr_compare($bom, $content_str, 0, strlen($bom)) == 0) $content_str = substr($content_str, strlen($bom));
        return json_decode($content_str,true);
    }

  // имитируем ответ сервера на команду init_update
  function init_update($data)
   {
     $result['date'] = date('Y-m-d H:i:s');
     $result['message'] = 'success'; // success – готов к передачи данных (в этом случае следом за ответом отправляется запрос send_data)
     $result['jobId']=rand(1,1000) ;

     return($result) ;
   }


   // имитируем ответ сервера на команду result_data
  function result_data($data)
   {
     $result['date'] = date('Y-m-d H:i:s');
     $result['message'] = 'success'; // success – данные получены и обработаны успешно
                                     // failure – сервер не смог обработать данные
     return($result) ;
   }

}
?>